/*
 * @(#)src/classes/sov/javax/transaction/TransactionRolledbackException.java, jdbc, as142, 20090306 1.6.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v1.4.2
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 * Copyright 2003 Sun Microsystems, Inc. All rights reserved.
 * ===========================================================================
 */




/*
/*
 * RMI-IIOP v1.0
 *
 */

package javax.transaction;

/**
 * This exception indicates that the transaction associated with processing
 * of the request has been rolled back, or marked to roll back. Thus the
 * requested operation either could not be performed or was not performed
 * because further computation on behalf of the transaction would be
 * fruitless
 */
public class TransactionRolledbackException extends java.rmi.RemoteException 
{
    public TransactionRolledbackException()
    {
	super();
    }

    public TransactionRolledbackException(String msg)
    {
	super(msg);
    }
}

